Package ru.bgcrm.plugin.bgbilling.proto.model.inet.version.v8x

# Enum Class InetServiceType8x.InetAddressType

java.lang.Object
java.lang.Enum<InetServiceType8x.InetAddressType>
ru.bgcrm.plugin.bgbilling.proto.model.inet.version.v8x.InetServiceType8x.InetAddressType

All Implemented Interfaces:
  `Serializable`, `Comparable<InetServiceType8x.InetAddressType>`, `Constable`

Enclosing class:
  `InetServiceType8x`

public static enum InetServiceType8x.InetAddressType extends Enum<InetServiceType8x.InetAddressType>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `DYNAMIC`
  Динамический адрес
  `DYNAMIC_OR_RANGE`
  Динамический или из диапазона
  `DYNAMIC_OR_SINGLE`
  Динамический или указанный адрес
  `IPV6`
  Статический адрес (IPv6)
  `NET`
  Указанная сеть
  `NONE`
  `NONE_OR_SINGLE`
  Либо выдавать указанный адрес, либо ничего не выдавать
  `OFF`
  `RANGE`
  Указанный диапазон
  `SINGLE_IPV4`
  Указанный адрес (IPv4)

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getCode()`
  `static InetServiceType8x.InetAddressType`
  `getInetAddressType(int code)`
  `static InetServiceType8x.InetAddressType`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static InetServiceType8x.InetAddressType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### OFF

    public static final InetServiceType8x.InetAddressType OFF

  - ### NONE

    public static final InetServiceType8x.InetAddressType NONE

  - ### RANGE

    public static final InetServiceType8x.InetAddressType RANGE
    Указанный диапазон

  - ### NET

    public static final InetServiceType8x.InetAddressType NET
    Указанная сеть

  - ### SINGLE_IPV4

    public static final InetServiceType8x.InetAddressType SINGLE_IPV4
    Указанный адрес (IPv4)

  - ### DYNAMIC

    public static final InetServiceType8x.InetAddressType DYNAMIC
    Динамический адрес

  - ### DYNAMIC_OR_SINGLE

    public static final InetServiceType8x.InetAddressType DYNAMIC_OR_SINGLE
    Динамический или указанный адрес

  - ### DYNAMIC_OR_RANGE

    public static final InetServiceType8x.InetAddressType DYNAMIC_OR_RANGE
    Динамический или из диапазона

  - ### NONE_OR_SINGLE

    public static final InetServiceType8x.InetAddressType NONE_OR_SINGLE
    Либо выдавать указанный адрес, либо ничего не выдавать

  - ### IPV6

    public static final InetServiceType8x.InetAddressType IPV6
    Статический адрес (IPv6)

- ## Method Details

  - ### values

    public static InetServiceType8x.InetAddressType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static InetServiceType8x.InetAddressType valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getInetAddressType

    public static InetServiceType8x.InetAddressType getInetAddressType(int code)

  - ### getCode

    public int getCode()